
/*页面通用，按钮区域*/
.form-actions { display: flex; justify-content: center; align-items: center; margin-top: 0.5rem; gap: 1rem; }

/*====treetable（控件） 开始============================================================*/
table.treetable { border: 1px solid #d1d1d1 !important; font-size: .9rem !important; }
table.treetable thead { background: #d7d7d7 !important; }
table.treetable thead tr th { text-align: center !important; padding: 15px 2px !important; font-weight: bold !important; font-size: 1rem; border: inherit !important }
/*====treetable（控件） 结束============================================================*/



/*====咨询师 列表展示 开始============================================================*/
.psychologist-item { padding: 0; margin-bottom: 20px; }
.psychologist-item a { display: block; background: #fff; border-radius: 10px; box-shadow: 0 2px 8px rgba(0,0,0,0.04); overflow: hidden; }
.psychologist-item a:hover .title { background: #e51e1e }
.psychologist-item .title { background-color: #039be5; padding: 30px 25px; position: relative; border: none }
.psychologist-item h1 { font-size: 20px; color: #fff; height: 22px; font-weight: bold; }
.psychologist-item h4 { font-size: 15px; color: #fff; height: 16px; margin: 10px 0 }
.psychologist-item .avatar { position: absolute; bottom: -40px; left: 25px; width: 70px; height: 70px; overflow: hidden }
.psychologist-item .avatar img { border-radius: 50%; width: 100%; vertical-align: middle }
.psychologist-item .name { padding: 10px 0 0 110px }
.psychologist-item .desc { margin: 25px 25px 0 25px; height: 70px; }
.psychologist-item .desc.ellipsis { column-count: 1; column-gap: 1em; overflow: hidden; break-inside: avoid-column; -webkit-column-break-inside: avoid; page-break-inside: avoid; text-overflow: ellipsis; }
.psychologist-item .bottom { display: flex; justify-content: space-between; padding: 15px 25px; border-top: 1px solid #ddd; color: #888 }
/*====咨询师 列表展示 结束============================================================*/


/*====人员信息 详情 开始============================================================*/

.details-header { background-color: #3476b9; color: #fff; }
.details-header .container { display: flex; justify-content: space-between; position: relative; padding: 30px 0 }
.details-header h5 { font-weight: bold; }
.details-header .tip { color: #cbcbcb; border: 0; padding: 5px 0px; }
.details-header .fixed-action-btn { position: absolute; top: 10px; }
.details-header .fixed-action-btn li a { opacity: 0; transform: scale(0.4) translateY(0px) translateX(40px); }
.details-container { box-shadow: 0 2px 8px rgba(0, 0, 0, 0.04); }
.details-container .tabs .indicator { background-color: #2171c1; top: 0; bottom: initial; height: 4px; }
.details-container .tabs .tab a { color: #676767; }
.details-container .tabs .tab a:hover,
.details-container .tabs .tab a.active { background-color: #e7f3ff; color: #12569b; font-weight: bold; }

/*====人员信息 详情 结束============================================================*/


/*====量表题目 列表 开始============================================================*/

.scale-sheet-subject { border: 1px solid #039be5; border-radius: 10px; padding: 20px 20px 0 20px; margin-bottom: 10px; }
.scale-sheet-subject .title { display: flex; justify-content: space-between; border-bottom: 1px solid #979797; padding-bottom: 6px; }
.scale-sheet-subject .title .name { flex: 1; }
.scale-sheet-subject .title .name .sort { display: inline-block; background-color: #ff6a00; color: #fff; padding: 0 4px; font-size: 1.2rem; border-radius: 4px; }
.scale-sheet-subject .title .name h6 { display: initial; font-weight: bold; margin: 0; }
.scale-sheet-subject ul { margin: 10px 0 0 20px; }
.scale-sheet-subject ul li { margin: 10px 0; }

/*====量表题目 列表 开始============================================================*/


/*====量表 计分项 开始============================================================*/
.scale-calc-formula { border: 1px solid #26a69a; border-radius: 10px; margin-bottom: 10px; }

.scale-calc-formula .main-info { display: flex; border-bottom: 1px solid #26a69a; justify-items: center; align-items: center; }
.scale-calc-formula .main-info .name { background-color: #26a69a; color: #fff; font-size: 1.3rem; font-weight: bold; padding: 5px 15px; border-top-left-radius: 10px; }
.scale-calc-formula .main-info .formula { padding: 0 15px; line-height: 40px; flex: 1 }
.scale-calc-formula .main-info .tools { padding-right: 5px; padding-top: 4px; }
.scale-calc-formula .sense { margin: 6px 14px; }
/*====量表 计分项 结束============================================================*/

/*====量表选择器（独立页面） 开始============================================================*/
.selector-scale { display: flex; flex-direction: column; height: 100%; }
.selector-scale .main-content { display: flex; height: calc(100% - 50px); overflow: hidden; }
.selector-scale .left-column { flex: auto; overflow-y: hidden; border-right: 1px solid #ddd; }
.selector-scale .right-column { flex: auto; overflow-y: hidden; }

.selector-scale .title { color: #fff; font-weight: bold; font-size: 1.2rem; text-align: center; padding: 10px; }
.selector-scale .left-column .title { background-color: #2683df; }
.selector-scale .right-column .title { background-color: #1366bb; }

.selector-scale .content { height: 100%; /* 限制滚动区域的高度 */ overflow-y: auto; /* 显示滚动条 */ padding: 20px; }

.selector-scale .left-column ul > li { font-size: 1.1rem; line-height: 1.1rem; cursor: pointer; margin-bottom: 2px; padding: 10px; }
.selector-scale .left-column ul > li:hover { font-weight: bold; color: #B87615; background: #ffe6b0; border-radius: 5px; border: 1px #FFB951 solid; }
.selector-scale .left-column ul > li.active { font-weight: bold; color: #B87615; background: #ffe6b0; border-radius: 5px; border: 1px #FFB951 solid; }

.selector-scale .right-column .item { display: block; margin-bottom: 8px; }
.selector-scale .right-column .item span { padding-left: 24px; font-size: 1.1rem; color: #606060; line-height: 20px; }

.selector-scale .button-bar { background-color: #f0f0f0; padding: 10px; text-align: center; border-top: 1px solid #ddd; position: fixed; /* 固定在底部 */ bottom: 0; left: 0; width: 100%; box-sizing: border-box; /* 包含padding在内的宽度 */ }

/*====量表选择器（独立页面）结束============================================================*/


/*====普通选择器（独立页面） 开始============================================================*/
/*.selector { height:100vh;display:flex;flex-direction:column;}
.selector .header, selector .toolbar { flex:0 0 auto;}
.selector .header { color: #fff; background-color: #1366bb; font-weight: bold; font-size: 1.2rem; text-align: center; padding: 10px; }
.selector .toolbar { background-color: #f0f0f0; padding: 10px; text-align: center; border-top: 1px solid #ddd; }
.selector .content { flex:1 1 auto;overflow-y:auto;) }*/

/*====普通选择器（独立页面） 结束============================================================*/
